Bug 475007 - Qt4 theme messes up openoffice toolbars
Qt4 theme messes up openoffice toolbars
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-12-06 11:30 EST by Sammy
Modified: 2009-02-02 11:45 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-29 18:10:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Gtk+ config file causing the problem (54 bytes, application/octet-stream)
2008-12-08 03:12 EST, David Tardon
no flags Details
ooimpress screenshot (40.04 KB, image/png)
2009-02-02 11:10 EST, Jaroslav Reznik
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 97196 None None None Never

  None (edit)
Description Sammy 2008-12-06 11:30:52 EST
I came upon this recently using openoffice under KDE of FC9.

If I choose my gtk theme as Qt4 than as my mouse moves over the icons
on the toolbars they disappear. 

Also, If you start OO from KDE menu it reads
the file .gtkrc-2.0-kde4 and if you start it from konsole it reads
.gtkrc-2.0 file (I am saying this because if you change the theme to
Qt4 from KDE and start the OO from konsole it will use the theme you
have in the .gtkrc-2.0 file). In principle this should be just one file.
But this has nothing to do with the error really.

Qt4 theme comes in:
$ rpm -q -f /usr/share/themes/Qt4

Whatever it is doing it is messing up OO.

My only difference from standard FC9 is that I am using nvidia drivers
but I don't think that makes a difference in this case.
Comment 1 David Tardon 2008-12-08 03:12:48 EST
Created attachment 326092 [details]
Gtk+ config file causing the problem

Reproduced on both F-9 and F-10.
Comment 2 Caolan McNamara 2008-12-12 05:56:32 EST
export SAL_GTK_USE_PIXMAPPAINT=1 should workaround this
Comment 3 Caolan McNamara 2008-12-12 06:22:29 EST
Won't fix for F-9, but will put the fix in for >= F-10. So will be in next F-10 update when there is one.
Comment 4 Rex Dieter 2008-12-16 11:25:12 EST
thanks, gtk-qt-engine + ooo has had issues for a long time.  

Any objections to my working to inject the 'export SAL_GTK_USE_PIXMAPPAINT=1' workaround into gtk-qt-engine?
Comment 5 Caolan McNamara 2008-12-16 11:33:47 EST
The OOo fix will be in the next F-10 OOo update, so if you wanted you could do that for < F10, but otherwise it'll be a double-fix
Comment 6 Fedora Update System 2009-01-13 03:46:39 EST
openoffice.org-3.0.1-15.1.fc10 has been submitted as an update for Fedora 10.
Comment 7 Fedora Update System 2009-01-14 21:53:38 EST
openoffice.org-3.0.1-15.1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openoffice.org'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-0390
Comment 8 Fedora Update System 2009-01-29 18:09:33 EST
openoffice.org-3.0.1-15.2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Jaroslav Reznik 2009-02-02 11:10:21 EST
Created attachment 330640 [details]
ooimpress screenshot

Toolbars are now nearly OK, only a little mouse over issue - background is not transparent and button overpaints panel decoration. But tabs in OO Impress are not rendered correctly, see attached screenshot (both tabs and buttons). 
kdelibs-4.2.0-7.fc10.x86_64 with latest NVidia proprietary drivers (w/o desktop effects)
Comment 10 Caolan McNamara 2009-02-02 11:24:43 EST
Can it be reproduced without a proprietary driver
Comment 11 Jaroslav Reznik 2009-02-02 11:45:03 EST
Yes, I can reproduce it with nv driver too.

Note You need to log in before you can comment on or make changes to this bug.